---
- name: Pull Bootstrap Images
  shell: "kubeadm config images pull"
  when: bootstrap_needed

- name: Mention Bootstrapping
  pause:
    prompt: |
      At this point, if you are bootstrapping, on ONE node only, run:
        sudo kubeadm init --pod-network-cidr 10.244.0.0/16 --control-plane-endpoint k8s.home.monkeybox.org --upload-certs --apiserver-advertise-address 10.42.42.201
      And if you need to do it again / reset it:
         sudo kubeadm reset --kubeconfig /etc/kubernetes/admin.conf

      Don't forget to copy /etc/kubernetes/admin.conf into this repository:
         ansible-vault edit ~/monkeybox_kubernetes/Ansible/roles/k8s/files/config

      AND A LOT MORE! Read /monkeybox_kubernetes/Ansible/roles/k8s/tasks/bootstrap.yml
  when: bootstrap_needed

# Here's the "a lot more":
#
# ```
# sudo kubeadm init --pod-network-cidr 10.244.0.0/16 --control-plane-endpoint k8s.home.monkeybox.org --upload-certs
# ```
# 
# Apply a good network
# ```
# kubectl apply -f https://raw.githubusercontent.com/coreos/flannel/master/Documentation/kube-flannel.yml
# ```
#
# Record output, especially
# token:
# discovery_token:
# and record them in group_vars/k8s/vars
# 
# Also, copy /etc/kubernetes/config to ~/.kube/config
